> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withcortex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File

> Delete a specific file from the app.



## OpenAPI

````yaml delete /apps/{app_id}/files/{file_id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: API
servers: []
security: []
paths:
  /apps/{app_id}/files/{file_id}:
    delete:
      summary: Delete File
      description: Delete a specific file from the app.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the app
          name: app_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the file
          name: file_id
          in: path
        - schema:
            type: string
            description: Optional bucket name for storage operations
            example: cortex-eu
          required: false
          name: bucket
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                nullable: true

````